// -----------------------------------------------------------------------------
// This file contains all styles related to the dropdown component.
// -----------------------------------------------------------------------------

// Dropdown
.dropdown {
  &-menu {
    min-width: 100%;
    margin-top: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border: none;
    display: block;
    opacity: 0;
    visibility: hidden;
    transform: translateY(-10px);
    transition: all 0.15s ease-in-out;
    backface-visibility: hidden;
  }

  &-menu.show {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
  }

  &-item {
    padding: 10px 20px;
    line-height: 1.1;

    &:not(:last-child) {
      border-bottom: 1px solid $off-white;
    }

    &:hover,
    &:active,
    &:focus {
      background-color: $off-white;
      color: black;
    }
  }
}
